multiseq_selection.h File Reference

Go to the source code of this file.

## Classes

class | __gnu_parallel::_Lexicographic< _T1, _T2, _Compare >
class | __gnu_parallel::_LexicographicReverse< _T1, _T2, _Compare >

## Namespaces

namespace | __gnu_parallel

## Macros

#define | __S(__i)
#define | __S(__i)

## Functions

template<typename _RanSeqs, typename _RankType, typename _RankIterator, typename _Compare>
void | __gnu_parallel::multiseq_partition (_RanSeqs __begin_seqs, _RanSeqs __end_seqs, _RankType __rank, _RankIterator __begin_offsets, _Compare __comp=std::less< typename std::iterator_traits< typename std::iterator_traits< _RanSeqs >::value_type::first_type >::value_type >())
template<typename _Tp, typename _RanSeqs, typename _RankType, typename _Compare>
_Tp | __gnu_parallel::multiseq_selection (_RanSeqs __begin_seqs, _RanSeqs __end_seqs, _RankType __rank, _RankType &__offset, _Compare __comp=std::less< _Tp >())

## Detailed Description

Functions to find elements of a certain global __rank in multiple sorted sequences. Also serves for splitting such sequence sets.

The algorithm description can be found in

P. J. Varman, S. D. Scheufler, B. R. Iyer, and G. R. Ricard. Merging Multiple Lists on Hierarchical-Memory Multiprocessors. Journal of Parallel and Distributed Computing, 12(2):171-177, 1991.

This file is a GNU parallel extension to the Standard C++ Library.

Definition in file multiseq_selection.h.